Subject: [bess] I-D Action: draft-ietf-bess-nsh-bgp-control-plane-06.txt

From: [email-masked]
Date: Mon, 25 Feb 2019 09:20:12 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the BGP Enabled ServiceS WG of the IETF.

        Title           : BGP Control Plane for NSH SFC
        Authors         : Adrian Farrel
                          John Drake
                          Eric Rosen
                          Jim Uttaro
                          Luay Jalil
	Filename        : draft-ietf-bess-nsh-bgp-control-plane-06.txt
	Pages           : 55
	Date            : 2019-02-25

Abstract:
   This document describes the use of BGP as a control plane for
   networks that support Service Function Chaining (SFC).  The document
   introduces a new BGP address family called the SFC AFI/SAFI with two
   route types.  One route type is originated by a node to advertise
   that it hosts a particular instance of a specified service function.
   This route type also provides "instructions" on how to send a packet
   to the hosting node in a way that indicates that the service function
   has to be applied to the packet.  The other route type is used by a
   Controller to advertise the paths of "chains" of service functions,
   and to give a unique designator to each such path so that they can be
   used in conjunction with the Network Service Header.

   This document adopts the SFC architecture described in RFC 7665.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-bess-nsh-bgp-control-plane/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-bess-nsh-bgp-control-plane-06
https://datatracker.ietf.org/doc/html/draft-ietf-bess-nsh-bgp-control-plane-06

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-bess-nsh-bgp-control-plane-06

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 25 Feb 2019 17:39:21 -0000

All,

Thanks for the comments we received during WG last call.

John and I have also re-reviewed the entire text.

We made a small number of little changes resulting from these activities.

Chairs: I think we are ready to move forward.

Best,
Adrian

-----Original Message-----
From: I-D-Announce <[email-masked]> On Behalf Of
[email-masked]
Sent: 25 February 2019 17:20
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-bess-nsh-bgp-control-plane-06.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the BGP Enabled ServiceS WG of the IETF.

Abstract:

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-bess-nsh-bgp-control-plane-06
https://datatracker.ietf.org/doc/html/draft-ietf-bess-nsh-bgp-control-plane-
06

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 25 Feb 2019 16:15:30 -0500

Adrian,

The update looks good to me, and thanks for adding that additional
paragraph to section 7.8.

Cheers,
Andy

On Mon, Feb 25, 2019 at 12:39 PM Adrian Farrel <[email-masked]> wrote:

> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>

---

From: <[email-masked]>
Date: Tue, 26 Feb 2019 08:37:28 +0000

Hi Adrian,

Yes it is ready, we will proceed with the shepherd's review. However, we don't have any sign of implementation or roadmap yet, we (chairs) will have to ask the WG to determine a consensus to progress the document without an implementation (as per our implementation policy).

In addition, I missing the IPR poll reply from: Jim, Eric, Stuart, Keyur, Avinash.

Brgds,

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Monday, February 25, 2019 18:39
To: [email-masked]
Subject: Re: [bess] I-D Action: draft-ietf-bess-nsh-bgp-control-plane-06.txt

All,

Best,
Adrian

-----Original Message-----

Abstract:

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 26 Feb 2019 08:50:28 -0000

Thanks Stephane,

I understand.

It may be hard to track down Eric: I understand he has retired.

I will ask Ron Bonica if he can reach him, but otherwise I would note:
- We an move him to the Contributors section to avoid Auth-48 issues
- As an author on the document he has already confirmed that he has
  complied with BCP 78 and 79
- There is Juniper IPR already disclosed
- John Drake has given you IPR assurances and, as a Juniper employee,
  It is likely that he has done the same IPR search that Eric would have
  done.

Let's see whether we can wake up Jim, Stuart, Keyur, and Avinash.

Thanks,
Adrian

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 26 February 2019 08:37
To: [email-masked]; [email-masked]
Subject: RE: [bess] I-D Action: draft-ietf-bess-nsh-bgp-control-plane-06.txt

Hi Adrian,

Yes it is ready, we will proceed with the shepherd's review. However, we
don't have any sign of implementation or roadmap yet, we (chairs) will have
to ask the WG to determine a consensus to progress the document without an
implementation (as per our implementation policy).

In addition, I missing the IPR poll reply from: Jim, Eric, Stuart, Keyur,
Avinash.

Brgds,

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Monday, February 25, 2019 18:39
To: [email-masked]
Subject: Re: [bess] I-D Action: draft-ietf-bess-nsh-bgp-control-plane-06.txt

All,

Best,
Adrian

-----Original Message-----

Abstract:

____________________________________________________________________________
_____________________________________________

Ce message et ses pieces jointes peuvent contenir des informations
confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu
ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages
electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou
falsifie. Merci.

This message and its attachments may contain confidential or privileged
information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and
delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been
modified, changed or falsified.
Thank you.